gnomevfs.Context
Prev | The gnomevfs class reference | Next

## gnomevfs.Context

gnomevfs.Context — Thread tracking and cancellation object

## Synopsis

    class gnomevfs.Context:
        def get_cancellation()
        def check_cancellation()
        def cancel()

## Description

## Methods

### gnomevfs.Context.get_cancellation

        def get_cancellation()

As far as I can tell, the python binding for this is incomplete.

### gnomevfs.Context.check_cancellation

        def check_cancellation()

Returns: | `TRUE` if the context has been cancelled

Checks to see if this operation represented by this context has been cancelled.

### gnomevfs.Context.cancel

        def cancel()

Cancel the operation represented by this context.

Prev | Up | Next
The gnomevfs class reference | Home | gnomevfs.DirectoryHandle